xssl_read(3)

NAME
xssl_read - API function

SYNOPSIS
#include <gnutls/xssl.h>

ssize_t xssl_read(xssl_t sb, void * data, size_t data_size);

ARGUMENTS

xssl_t sb
    is a xssl_t structure.

void * data
    the buffer that the data will be read into

size_t data_size
    the number of requested bytes

DESCRIPTION
This function receives data from the underlying session. Only fatal errors are returned by this function.

RETURNS
The number of bytes received and zero on EOF (for stream connections) or a negative error code.

SINCE
3.1.7

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2014 Free Software Foundation, Inc.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/